var flipflop=1;
var storedata;
var allimagepath="images/";
var plsrechargebid="您需要先充值才能参加拍卖和出价"; 
  
function OnloadPage()
{
    if($.browser.msie){
        //Configuring ajax
        $.ajaxSetup({
            cache: false
        });
    }

    // Default frequency for auction updating and time sync
    var auctionUpdateTime = 0.5;
		var counterUpdateTime = 1000;

    // Convert it to milisecond
    auctionUpdateTime = auctionUpdateTime * 1000;

    // Variable to hold auction data
    var auctions = '';
		var prices = '';
		var auctions1 = '';

		// Collecting auction data, the layer id and auction id
    $('.auction-item').each(function(){
        var auctionId    = $(this).attr('id');
        var auctionTitle = $(this).attr('title');
				auctions = auctions + auctionId + '=' + auctionTitle + '&';		
    });
		var firstimage_bold;
		if($('.firstimagebold').length)
		{
			firstimage_bold = document.getElementById('firstimage_bold').innerHTML;
		}
	
		var GlobalVar = 0;
		//var finalrowdata = auctions + '&' + prices;
    // Main countdown for updating auction and flashing
    setInterval(function()
    {
        if(auctions)
        {
            getStatusUrl = 'update_information.php?flp=' + flipflop;				
            $.ajax(
            {
            	url: getStatusUrl,
              dataType: 'json',
              type: 'POST',
              data: auctions,
							global: false,
              success: function(data)
              {
								storedata = data;					
								$.each(data, function(i, item)
								{
									auction_id = item.auction.id;
									auction_price = item.auction.price;
									auction_bidder_name = item.auction.username;					
				    			if(auction_bidder_name=="")
				    			{
					   				auction_bidder_name="---" 
				    			}
									if(document.getElementById('price_index_page_' + auction_id).innerHTML != auction_price)
									{
										if(GlobalVar == 1)	
										{
											var forhoverid = new Spry.Effect.Highlight('price_index_page_' + auction_id , {duration: 500, from:'#f79909', to:'#FFFFFF', restoreColor: '#FFFFFF'});
											var forhoverid2 = new Spry.Effect.Highlight('currencysymbol_' + auction_id , {duration: 500, from:'#f79909', to:'#FFFFFF', restoreColor: '#FFFFFF'});
											forhoverid.start();
											forhoverid2.start();
										}
										document.getElementById('price_index_page_' + auction_id).innerHTML = auction_price;
										document.getElementById('currencysymbol_' + auction_id).innerHTML = "";
										document.getElementById('product_bidder_' + auction_id).innerHTML = auction_bidder_name;
									}
									else
									{
										document.getElementById('price_index_page_' + auction_id).style.backgroundColor = "white";	
									}
								});
								GlobalVar = 1;
							},
							error: function(XMLHttpRequest,textStatus, errorThrown){
								//alert(XMLHttpRequest.responsetext);
								//alert(textStatus);
								//alert(errorThrown);
							}
						});
				}
				if(flipflop==1)
				{ 
					flipflop = 2; 
				}
				else if(flipflop==2){ 
					flipflop = 1;
				}
				ChangeCountdownData(storedata);
		}, auctionUpdateTime);

    // Function for bidding
    $('.bid-button-link').click(function()
    {
        $.ajax(
        {
        	url: $(this).attr('name'),
          dataType: 'json',
          success: function(data)
          {
						$.each(data, function(i, item)
						{
							result = item.result;
							if(result=="unsuccess")
							{
								if(confirm(plsrechargebid))
								{
									window.location.href='buybids.html';
								}
							}
							if(result=="success")
							{
								obj = document.getElementById('bids_count');
								objvalue = document.getElementById('bids_count').innerHTML;
								if(obj.innerHTML!='0')
								{
									obj.innerHTML = Number(objvalue) - 1;
								}
							}
						});
           },
					 error: function(XMLHttpRequest,textStatus, errorThrown){
					 	//alert(textStatus);
					 }
         });

        return false;
    });


		if($('.productImageThumb').length)
		{
    	setInterval(function()
    	{
				auctionhisid = document.getElementById('history_auctionid').innerHTML;
				oldprice = document.getElementById('curproductprice').innerHTML;
				newprice = document.getElementById('price_index_page_' + auctionhisid).innerHTML;
				if(oldprice!=newprice)
				{
					getStatusUrl3 = 'updatehistory.php?aucid_new='+auctionhisid;
					$.ajax(
					{
						url: getStatusUrl3,
						dataType: 'json',
						success: function(data)
						{
							data1 = eval('(' + data.responseText + ')');
							for(i=0;i<data.histories.length;i++)
							{
								biddingprice = data.histories[i].history.bprice;
								biddingusername = data.histories[i].history.username;
								biddingtype = data.histories[i].history.bidtype;				
								document.getElementById('bid_price_' + i).innerHTML = biddingprice;			
								document.getElementById('bid_user_name_' + i).innerHTML = biddingusername;
								if(biddingtype=='s')
								{
									document.getElementById('bid_type_' + i).innerHTML = placesinglebid;
								}
								else if(biddingtype=='b')
								{
									document.getElementById('bid_type_' + i).innerHTML = placebidbuddy;
								}
								else if(bidding_type=='m')
								{
									document.getElementById('bid_type_' + i).innerHTML = placesmsbid;
								}
							}
			
							if(data.myhistories.length)
							{
								for(j=0;j<data.myhistories.length;j++)
								{
									biddingprice1 = data.myhistories[j].myhistory.bprice;
									biddingusername1 = data.myhistories[j].myhistory.time;
									biddingtype1 = data.myhistories[j].myhistory.bidtype;
									document.getElementById('my_bid_price_' + j).innerHTML = biddingprice1;
									document.getElementById('my_bid_time_' + j).innerHTML = biddingusername1;	
									if(biddingtype1=='s')
									{
										document.getElementById('my_bid_type_' + j).innerHTML = placesinglebid;
									}
									else if(biddingtype1=='b')
									{
										document.getElementById('my_bid_type_' + j).innerHTML = placebidbuddy;
									}
									else if(biddingtype1=='m')
									{
										document.getElementById('my_bid_type_' + j).innerHTML = placesmsbid;
									}
								}
							}
							document.getElementById('curproductprice').innerHTML = data.histories[0].history.bprice;
						},
						error: function(XMLHttpRequest,textStatus, errorThrown){
							//alert(textStatus);	
						}
		   		});
				}
	 		},counterUpdateTime);
    }

    $('.bookbidbutlerbutton').click(function()
    {
			if(document.getElementById('bookbidbutlerbutton').name!="")
			{
				var bidbutstartprice;
				var bidbutendprice;
				var totalbids;
		
				bidbutstartprice = Number(document.bidbutler.bidbutstartprice.value);
				bidbutendprice = Number(document.bidbutler.bidbutendprice.value);
				totalbids = document.bidbutler.totalbids.value;
				if(bidbutstartprice=="")
				{
					alert(entbutsprice);
					return false;
				}
				if(bidbutendprice=="")
				{
					alert(entbuteprice);
					return false;
				}
				if(totalbids=="")
				{
					alert(entbutbids);
					return false;
				}
				if(totalbids<=1)
				{
					alert(entmoreone);
					return false;
				}
				if(bidbutstartprice>bidbutendprice)
				{
					alert(spricegreat);
					return false;
				}
				if(bidbutstartprice==bidbutendprice)
				{
					alert(endpricegreat);
					return false;
				}

				$.ajax(
				{
        	url: "addbidbutler.php?aid="+$(this).attr('name')+"&bidsp="+bidbutstartprice+"&bidep="+bidbutendprice+"&totb="+totalbids,
          dataType: 'json',
          success: function(data)
          {
						$.each(data, function(i, item)
						{
							result = item.result;
							if(result=="unsuccessprice")
							{
								alert(bidfromvalueismust);
							}
							else if(result=="unsuccess")
							{
								alert(plsrechargebid);
							}
							else
							{
								document.bidbutler.bidbutstartprice.value="";
								document.bidbutler.bidbutendprice.value="";
								document.bidbutler.totalbids.value="";
								document.getElementById('butlermessage').style.display='block';
								changeMessageTimer = setInterval("ChangeButlerImageSecond()",3000);
								changedatabutler(data,"abut",totalbids);
							}
			  		});
					},
					error: function(XMLHttpRequest,textStatus, errorThrown){
						//alert(textStatus);
					}
        });
        return false;
	 		}
    });
}/*function onloadpage() end*/

function DeleteBidButler(id,div_id)
{
	$.ajax(
	{
		url: url = "deletebutler.php?delid=" + id,
		dataType: 'json',
		success: function(data){
		$.each(data, function(i, item)
		{
			result = item.result;
			if(result=="unsuccess")
			{
				alert(youbidisrunning);
			}
			else
			{
				placebids = document.getElementById('butlerbids_' + div_id).innerHTML;
				objbids = document.getElementById('bids_count');
				objbidsvalue = document.getElementById('bids_count').innerHTML;
				if(objbids.innerHTML!='0')
				{
					objbids.innerHTML = Number(objbidsvalue) + Number(placebids);
				}
				changedatabutler(data,"dbut","");
			}
		});
	},
		error: function(XMLHttpRequest,textStatus, errorThrown){
			//alert(textStatus);
		}
	});
	return false;
}

function ChangeCountdownData(resdata)
{
	if(resdata && resdata!="")
	{
		data = resdata;
		var f=0;
		$.each(data, function(i, item)
		{
			auction_id = item.auction.id;
			auction_time = item.auction.time;
			pausestatus = item.auction.pause;
			if(auction_time)
			{
				if(auction_time=='0')
				{
					document.getElementById('counter_index_page_' + auction_id).style.color = '#000000';
					//document.getElementById('counter_index_page_' + auction_id).innerHTML = printended;					
					document.getElementById('image_main_' + auction_id).onclick="";
					document.getElementById('image_main_' + auction_id).name="";
					document.getElementById('image_main_' + auction_id).onmouseover="";
					document.getElementById('image_main_' + auction_id).onmouseout="";
					if($('.history_auctionid').length)
					{	
						if(document.getElementById('history_auctionid').innerHTML==auction_id)
						{
							document.getElementById('bookbidbutlerbutton').name = "";
							document.getElementById('image_main_' + auction_id).src = allimagepath + "BIG_SOLD_btn.png";
						}
						else
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "SOLD_btn.png";
						}
					}
					else
					{
						if(f<firstimage_bold)
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "SOLD_btn.png";
						}
						else
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "SOLD_btn2.png";
						}
					}
				}
				else if(pausestatus==1)
				{
					document.getElementById('counter_index_page_' + auction_id).innerHTML = 'Pause';
					if($('.history_auctionid').length)
					{
						if(document.getElementById('history_auctionid').innerHTML == auction_id)
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "BIG_BID_btn.png";									
						}
						else
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "BID_btn.png";									
						}
					}
					else
					{
						if(f<firstimage_bold)
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "BID_btn.png";
						}
						else
						{
							document.getElementById('image_main_' + auction_id).src = allimagepath + "BID_btn2.png";
						}
					}
					document.getElementById('image_main_' + auction_id).onclick="";
					document.getElementById('image_main_' + auction_id).onmouseover="";
					document.getElementById('image_main_' + auction_id).name="";							
					document.getElementById('image_main_' + auction_id).onmouseout="";
				}
				else
				{
					if(auction_time<10)
					{
						document.getElementById('counter_index_page_' + auction_id).style.color = '#E80000';	
						document.getElementById('counter_index_page_' + auction_id).innerHTML = calc_counter_from_time(auction_time);
						/*if(document.getElementById('last_actions_div_' + auction_id) && document.getElementById('last_actions_div_' + auction_id).innerHTML != '<img src="images/blink.gif">'){
				  	document.getElementById('last_actions_div_' + auction_id).innerHTML = "<img src='images/blink.gif'>";
			  		}*/
					}
					else
					{
						document.getElementById('counter_index_page_' + auction_id).style.color = '#000000';	
						document.getElementById('counter_index_page_' + auction_id).innerHTML = calc_counter_from_time(auction_time);
						/*if(document.getElementById('last_actions_div_' + auction_id)){
				  	document.getElementById('last_actions_div_' + auction_id).innerHTML = "";
			  		}*/				
					}													
					/*
					if(bids_info){
					if(document.getElementById('last_actions_div_' + auction_id)){
				  	document.getElementById('last_actions_div_' + auction_id).innerHTML = "<font size=1 color=red>"+bids_info+"</font>";
			  	}				   
			  	}*/
				}
			}
			f++;
	  	}
  	);		
	}
}/*function end*/
